<?php
/**
 * Social Services Array link
 *
 * @package     Wow_Plugin
 * @copyright   Copyright (c) 2018, Dmytro Lobov
 * @license     http://opensource.org/licenses/gpl-2.0.php GNU Public License
 * @since       1.0
 */
if ( !defined( 'ABSPATH' ) ) {
  exit;
}

$social_services = array(
  'facebook'      => 'https://www.facebook.com/sharer/sharer.php?u=' . get_permalink(),
  'vk'            => 'http://vk.com/share.php?url=' . get_permalink(),
  'twitter'       => 'https://twitter.com/share?url=' . get_permalink() . '&text=' . get_the_title(),
  'linkedin'      => 'https://www.linkedin.com/shareArticle?url=' . get_permalink() . '&title=' . get_the_title(),
  'odnoklassniki' => 'http://ok.ru/dk?st.cmd=addShare&st._surl=' . get_permalink(),
  'google'        => 'https://plus.google.com/share?url=' . get_permalink(),
  'pinterest'     => 'https://pinterest.com/pin/create/button/?url=' . get_permalink(),
  'xing'          => 'https://www.xing.com/spi/shares/new?url=' . get_permalink(),
  'myspace'       => 'https://myspace.com/post?u=' . get_permalink() . '&t=' . get_the_title(),
  'weibo'         => 'http://service.weibo.com/share/share.php?url=' . get_permalink() . '&title=' . get_the_title(),
  'buffer'        => 'https://buffer.com/add?text=' . get_the_title() . '&url=' . get_permalink(),
  'stumbleupon'   => 'http://www.stumbleupon.com/submit?url=' . get_permalink() . '&title=' . get_the_title(),
  'reddit'        => 'http://www.reddit.com/submit?url=' . get_permalink() . '&title=' . get_the_title(),
  'tumblr'        => 'https://www.tumblr.com/widgets/share/tool?canonicalUrl=' . get_permalink() . '&title=' . get_the_title(),
  'blogger'       => 'https://www.blogger.com/blog-this.g?u=' . get_permalink() . '&n=' . get_the_title(),
  'livejournal'   => 'http://www.livejournal.com/update.bml?subject=' . get_the_title() . '&event=' . get_permalink(),
  'pocket'        => 'https://getpocket.com/save?url=' . get_permalink(),
  'telegram'      => 'https://telegram.me/share/url?url=' . get_permalink() . '&text=' . get_the_title(),
  'skype'         => 'https://web.skype.com/share?url=' . get_permalink(),
  'email'         => 'mailto:?subject=' . get_the_title() . '&body=' . get_permalink(),
);